{% load static %}
{% load i18n %}
{% load render_table from django_tables2 %}

<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <!-- JQuery -->
    <script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>
    <!-- Bootstrap -->
    <link rel="stylesheet" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}">
    <script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>

    <link rel="stylesheet" href="{% static 'shared/css/style.css' %}">
    <link rel="stylesheet" href="{% static 'wizard/css/style.css' %}">
    <style>
        body { color:#333; padding: 5px 20px; }
        h3 { margin: 10px; font-weight: bold; }
        p { margin-bottom: 0; }
        ul { margin: 10px; padding: 0; }
        ul li { display: inline-block; list-style-type: none; }
        span.label { border: solid 2px #333 !important; }
        .logo { height: 45px; }
        .table thead tr, span { background: none !important; color: #000 !important; }
        .badge { background: none !important; border: solid 2px #333 !important; margin-right: 10px; color: #000 !important; }
        #map { width: 650px; }
        .leaflet-container, .leaflet-bar, .leaflet-control-layers { border-radius: 0 !important; }
        canvas { padding: 0; margin-top: 5px; border: 1px solid #ccc; }
        .fileaction { display: none; }
    </style>
</head>
<body>
    <img class="logo" src="{% static 'shared/img/logo_lnec.png' %}" alt="opencoasts icon" />
    <h3>{% trans "Sistema" %} OPENCoastS</h3>

    {% if deploy_table %}
    {% render_table deploy_table %}
    {% endif %}
    <br/>
    <div class="panel panel-default">
        <div class="panel-heading">
            <div class="panel-title">
                <span class="badge">1</span> <strong>{% trans "Modelo" %}</strong>
            </div>
        </div>
        <div class="panel-body">
            {% if sum_step1 %}
            <span>{{ sum_step1.model }}</span><br>
            <span>{% trans "Simulação Baroclínica" %}: {{ sum_step1.baroclinic_type }}</span><br>
            <span>{% "Ondas" %}: {{ sum_step1.waves_type }}</span><br>
            <span>{% "Qualidade da Água" %}: {{ sum_step1.wq_type }}</span>
            {% endif %}
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <div class="panel-title">
                <span class="badge">2</span> <strong>{% trans "Domínio" %}</strong>
            </div>
        </div>
        <div class="panel-body">
            {% if grid_info %}
            {% render_table grid_info %}
            {% include "wizard/map.html" %}
            {% endif %}
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <div class="panel-title">
                <span class="badge">3</span> <strong>{% trans "Fronteiras" %}</strong>
            </div>
        </div>
        <div class="panel-body">
            {% if sum_step3 %}
            {% if sum_step3.0 %}
            {% render_table sum_step3.0 %}
            {% endif %}
            {% if sum_step3.1 %}
            <p style="margin-left: 8px; margin-top: 8px; margin-bottom: 0px;"><strong>{% trans "Forçamento Atmosférico" %}:</strong> {{ sum_step3.1 }}</p>
            {% endif %}
            {% endif %}
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <div class="panel-title">
                <span class="badge">4</span> <strong>{% trans "Estações" %}</strong>
            </div>
        </div>
        <div class="panel-body">
            {% if sum_step4 %}
            {% render_table sum_step4 %}
            {% endif %}
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <div class="panel-title">
                <span class="badge">5</span> <strong>{% trans "Parâmetros Hidrodinâmicos" %}</strong>
            </div>
        </div>
        <div class="panel-body">
            {% if 'yes' in waves_type %}
            <p class="grouptitle">{% trans "Circulação" %} (param.nml)</p>
            {% endif %}
            <div class="form">
                <ul>
                  <li>
                    <label for="id_parchoice_0">
                      <input name="parchoice" value="D" class="cstdisabled" {% if sum_step5.0 == 'D' %}checked=""{% endif %} id="id_parchoice_0" type="radio" disabled="" />
                      {% trans "Parâmetros predefinidos" %}
                    </label>
                  </li>
                  <li>
                    <label for="id_parchoice_1">
                      <input name="parchoice" value="C" class="cstdisabled" {% if sum_step5.0 == 'C' %}checked=""{% endif %} id="id_parchoice_1" type="radio" disabled="" />
                      {% trans "Parâmetros customizados" %}
                    </label>
                  </li>
                  {% if sum_step5.0 == 'U' %}
                  <li>
                    <label for="id_parchoice_2">
                      <input name="parchoice" value="U" class="radio-inline cstdisabled" checked="" id="id_parchoice_2" type="radio" disabled="" />
                      {% trans "Ficheiro" %}
                    </label>
                  </li>
                  {% endif %}
                </ul>
              </div>

              {% render_table sum_step5.1 %}

              {% if 'yes' in waves_type %}
              <p class="grouptitle">{% trans "Ondas" %} (wwminput.nml)</p>
              <div class="form">
                <ul>
                  <li>
                    <label for="id_wwmchoice_0">
                      <input name="wwmchoice" value="D" class="cstdisabled" {% if sum_step5.2 == 'D' %}checked=""{% endif %} id="id_wwmchoice_0" type="radio" disabled="" />
                      {% trans "Parâmetros predefinidos" %}
                    </label>
                  </li>
                  <li>
                    <label for="id_wwmchoice_1">
                      <input name="wwmchoice" value="C" class="cstdisabled" {% if sum_step5.2 == 'C' %}checked=""{% endif %} id="id_wwmchoice_1" type="radio" disabled="" />
                      {% trans "Parâmetros customizados" %}
                    </label>
                  </li>
                  {% if sum_step5.2 == 'U' %}
                  <li>
                    <label for="id_wwmchoice_2">
                       <input name="wwmchoice" value="U" class="radio-inline cstdisabled" checked="" id="id_wwmchoice_2" type="radio" disabled="" />
                      {% trans "Ficheiro" %}
                    </label>
                  </li>
                  {% endif %}
                </ul>
              </div>

              {% render_table sum_step5.3 %}
              {% endif %}
              <p class="small" style="margin: 8px 0 10px 8px;">{% trans "* Parâmetros customizados pelas seleções do utilizador durante todo o processo de configuração" %}</p>
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <div class="panel-title">
                <span class="badge">6</span> <strong>{% trans "Dados adicionais" %}</strong>
            </div>
        </div>
        <div class="panel-body">
            {% if sum_step6 %}
            {% render_table sum_step6 %}
            {% endif %}
        </div>
    </div>
    {% if "no" not in wq_type %}
    <div class="panel panel-default">
      <div class="panel-heading">
          <div class="panel-title">
              <span class="badge">7</span> <strong>{% trans "Qualidade da Água" %}</strong>
          </div>
      </div>
      <div class="panel-body">
          {% if sum_step7 %}
          {% if sum_step7.0 %}
          {% render_table sum_step7.0 %}
          {% endif %}
          {% if sum_step7.1 %}
          {% render_table sum_step7.1 %}
          {% endif %}
          {% endif %}
      </div>
    </div>
    {% endif %}

  {% include "front/modal/processing.html" %}

  <script src="{% static 'vendor/html2canvas/html2canvas.min.js' %}"></script>
  <script type="text/javascript">
    // On Document Ready
    $(function(){
        $('#divModal_processing').modal('show');
        // Convert map to image for print
        setTimeout(function(){
            html2canvas($('#map')[0], {useCORS: true, noCache: true, allowTaint: false}).then(function(canvas) {
                $('#map').before(canvas);
                $('#map').hide();
                $('#divModal_processing').modal('hide');
                window.print();
            });
        }, 1500);
    });
  </script>
</body>
</html>
